Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » scout » SWT application delpoy problem
SWT application delpoy problem [message #1273865] Thu, 20 March 2014 17:10 Go to next message
Karel Haruda is currently offline Karel HarudaFriend
Messages: 22
Registered: March 2014
Junior Member
Hi,
I develop my scout application on WIN8 64 bit. I have instaled 64bit eclipse scout and 64 bit java 1.7. From eclipse is no problem to lunch server and SWT application.
I want to test it on tomcat and with standalone SWT application on another WIN32 - XP windows.
First problem was that generated SWT application (exe file) was uncompatible with WIN32 OS. So i downloaded Eclipse scout 32 bit, 32 bit java and both installed on my WIN8 64 bit PC. Next i made export again from this 32 bit eclipse. Again deployed server war to tomcat. Next download SWT client application. Now SWT apllication still does not run with error message "executable launcher was unable to locate its companion shared library."

Does anybody know how to fix it ? I try to run it on PC where is no eclipse installed.

thx for answers ..
Re: SWT application delpoy problem [message #1273869 is a reply to message #1273865] Thu, 20 March 2014 17:14 Go to previous messageGo to next message
Karel Haruda is currently offline Karel HarudaFriend
Messages: 22
Registered: March 2014
Junior Member
when I exported 64 bit SWT client and tryed to run it on WIN 64bit i got error message

!SESSION 2014-03-20 18:12:59.862 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.7.0_45
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=cs_CZ
Command-line arguments: -os win32 -ws win32 -arch x86_64

!ENTRY org.eclipse.equinox.app 0 0 2014-03-20 18:13:00.845
!MESSAGE Product sped.ui.swt.product could not be found.

!ENTRY org.eclipse.osgi 2 0 2014-03-20 18:13:00.872
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2014-03-20 18:13:00.872
!MESSAGE Bundle update@plugins/org.eclipse.scout.rt.ui.swt_3.9.2.20140205-1301.jar was not resolved.
!SUBENTRY 2 org.eclipse.scout.rt.ui.swt 2 0 2014-03-20 18:13:00.872
!MESSAGE Missing required bundle org.eclipse.scout.rt.client_[3.9.2,3.10.0).

!ENTRY org.eclipse.osgi 2 0 2014-03-20 18:13:00.879
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2014-03-20 18:13:00.879
!MESSAGE Bundle org.eclipse.scout.rt.ui.swt_3.9.2.20140205-1301 [80] was not resolved.
!SUBENTRY 2 org.eclipse.scout.rt.ui.swt 2 0 2014-03-20 18:13:00.879
!MESSAGE Missing required bundle org.eclipse.scout.rt.client_[3.9.2,3.10.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2014-03-20 18:13:00.879
!MESSAGE Bundle org.eclipse.scout.svg.ui.swt_3.9.1.20130627-1613 [83] was not resolved.
!SUBENTRY 2 org.eclipse.scout.svg.ui.swt 2 0 2014-03-20 18:13:00.879
!MESSAGE Missing required bundle org.eclipse.scout.rt.ui.swt_[3.7.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2014-03-20 18:13:00.879
!MESSAGE Bundle sped.ui.swt_1.0.0.201403201811 [99] was not resolved.
!SUBENTRY 2 sped.ui.swt 2 0 2014-03-20 18:13:00.879
!MESSAGE Missing required bundle org.eclipse.scout.rt.ui.swt_0.0.0.

!ENTRY org.eclipse.osgi 4 0 2014-03-20 18:13:00.879
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:242)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:354)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:181)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)
at org.eclipse.equinox.launcher.Main.run(Main.java:1450)
at org.eclipse.equinox.launcher.Main.main(Main.java:1426)
Re: SWT application delpoy problem [message #1276171 is a reply to message #1273865] Mon, 24 March 2014 07:22 Go to previous messageGo to next message
Karel Haruda is currently offline Karel HarudaFriend
Messages: 22
Registered: March 2014
Junior Member
I solved it by my self, thx to all for help .. very usefull forum ...

Re: SWT application delpoy problem [message #1276183 is a reply to message #1276171] Mon, 24 March 2014 07:47 Go to previous messageGo to next message
Matthias Nick is currently offline Matthias NickFriend
Messages: 197
Registered: August 2013
Senior Member
Hi Karl,
thanks for your question:

When you open your .product file and press the validate button, does it show any erros?

index.php/fa/17820/0/

Best regards,
Matthias
  • Attachment: product.png
    (Size: 184.36KB, Downloaded 878 times)
Re: SWT application delpoy problem [message #1276184 is a reply to message #1276183] Mon, 24 March 2014 07:48 Go to previous messageGo to next message
Matthias Nick is currently offline Matthias NickFriend
Messages: 197
Registered: August 2013
Senior Member
Oh, I see you already solved it by yourself.
Would you mind to provide the solution, which solved your problem?

Thanks,
Matthias
Re: SWT application delpoy problem [message #1276879 is a reply to message #1276184] Tue, 25 March 2014 06:17 Go to previous messageGo to next message
Karel Haruda is currently offline Karel HarudaFriend
Messages: 22
Registered: March 2014
Junior Member
I created this project under 64bit eclipse. When I generated swt client and I tried it on 32 bit WIN Xp its failed because it was not valid 32 bit application. I downloaded 32 bit eclipse and open that workspce (created under 64bit eclipse)
I think it was the problem. Finaly i created new eclipse workspace and new scout project and moved my source files from old wokrspace to new. Next i configured my new workspace and everything is OK .. Now i am workinng on 32 bit eclipse.

[Updated on: Tue, 25 March 2014 06:19]

Report message to a moderator

Re: SWT application delpoy problem [message #1712577 is a reply to message #1276879] Mon, 26 October 2015 15:25 Go to previous messageGo to next message
Jannik Malken is currently offline Jannik MalkenFriend
Messages: 44
Registered: October 2015
Member
Well, I know this thread is quite old, but I just encountered nearly the same problem and wanted to state another (obvious) reason you still might oversee.
In our case the problem was just non-compatible Java-Versions. The build system's Java Version was 1.8 and in the target system there was only Java 1.6 configured. This led to a smilar error ('No application id has been found' etc.).
It could also be that changing your workspaces from 64 to 32bit helped only because also the Java Versions changed...
Re: SWT application delpoy problem [message #1712654 is a reply to message #1712577] Tue, 27 October 2015 08:43 Go to previous messageGo to next message
sherif samir is currently offline sherif samirFriend
Messages: 1
Registered: September 2015
Junior Member
had the same problem before and solved as you said.
Re: SWT application delpoy problem [message #1724817 is a reply to message #1712654] Fri, 26 February 2016 10:05 Go to previous message
Juan Pablo García-Iñiguez Espinosa is currently offline Juan Pablo García-Iñiguez EspinosaFriend
Messages: 1
Registered: February 2016
Junior Member
My problem on the other hand was that I had messed up the product definition by pressing the arrows and changing the "Product" and "Application" fields without noticing it.
Previous Topic:Problem with RAP and a Derby DB in ClientMode
Next Topic:JQuery dependencies and different versions
Goto Forum:
  


Current Time: Mon May 02 06:15:21 GMT 2016

Powered by FUDForum. Page generated in 0.09926 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software